Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78743 - Command produces python errors on server installs
Summary: Command produces python errors on server installs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 14:57 UTC by Mike Chambers
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-05 22:38:49 UTC


Attachments (Terms of Use)

Description Mike Chambers 2002-11-28 14:57:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
On server installs, command gives python errors, instead of telling user they 
aren't running X

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Perform server install
2.Run redhat-config-packages
3.
	

Actual Results:  Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 4, in ?
    import gtk
  File "/usr/src/build/162185-i386/install/usr/lib/python2.2/site-
packages/gtk/__init__.py", line 19, in ?
RuntimeError: could not open display

Expected Results:  Should tell user they aren't running X, or this command 
can't be performed on this type system.

Additional info:

CC'ing Brent Fox on all redhat-config package bugs as he is aware of the 
situation, and can be tracked until they find a solution.

Comment 1 Jeremy Katz 2002-12-31 07:41:10 UTC
Will add some stuff to handle more nicely once we have some text installation
functionality or before the final GinGin release if the text functionality falls
through

Comment 2 Jeremy Katz 2003-02-10 01:53:05 UTC
Handled more gracefully for 1.1.6

Comment 3 Mike Chambers 2003-02-10 02:50:08 UTC
1.1.5 is still in rawhide.  Will 1.1.6 go into it tonight?

Comment 4 Jeremy Katz 2003-02-10 06:51:46 UTC
Yes, I just built 1.1.6 this evening :)


Note You need to log in before you can comment on or make changes to this bug.